`vallen` is verified to be less than `len`, therefore, it can never
authorGithub Security Lab <securitylab@github.com>
Fri, 6 Mar 2020 15:41:14 +0000 (16:41 +0100)
committerLukas Humbel <lukas.humbel@inf.ethz.ch>
Wed, 18 Mar 2020 13:20:36 +0000 (14:20 +0100)
commit78476f70ed9ee00205945543a8be49e95bc714d3
tree9fa06703d489c9b648e1e4b3fc1271d9800a9077
parentf4c5a0ff744f7f548e3a8dae53301a5e10210348
`vallen` is verified to be less than `len`, therefore, it can never
be the case that `vallen >= len + sizeof(rhostname)`.

This PR fixes the check so the `rhostname` array does not overflow.

Reported-by: Github Security Lab <securitylab@github.com>
Signed-off-by: Alvaro Muñoz <pwntester@github.com>
include/lwip2/netif/ppp/eap.c
lib/lwip2/src/netif/ppp/eap.c